TARGETS = mountkernfs.sh udev mountdevsubfs.sh bootlogd keyboard-setup hostname.sh hwclockfirst.sh checkroot.sh hwclock.sh ifupdown-clean mtab.sh module-init-tools checkfs.sh ifupdown mountall.sh mountall-bootclean.sh mountoverflowtmp networking urandom procps udev-mtab portmap nfs-common mountnfs.sh mountnfs-bootclean.sh kbd console-setup lm-sensors bootmisc.sh stop-bootlogd-single
INTERACTIVE = udev keyboard-setup checkroot.sh checkfs.sh kbd console-setup
udev: mountkernfs.sh
mountdevsubfs.sh: mountkernfs.sh udev
bootlogd: mountdevsubfs.sh
keyboard-setup: bootlogd mountkernfs.sh udev
hostname.sh: bootlogd
hwclockfirst.sh: bootlogd mountdevsubfs.sh
checkroot.sh: hwclockfirst.sh keyboard-setup mountdevsubfs.sh hostname.sh bootlogd
hwclock.sh: checkroot.sh bootlogd
ifupdown-clean: checkroot.sh
mtab.sh: checkroot.sh
module-init-tools: checkroot.sh
checkfs.sh: checkroot.sh mtab.sh
ifupdown: ifupdown-clean
mountall.sh: checkfs.sh
mountall-bootclean.sh: mountall.sh
mountoverflowtmp: mountall-bootclean.sh
networking: mountkernfs.sh mountall.sh mountoverflowtmp ifupdown
urandom: mountall.sh mountoverflowtmp
procps: bootlogd mountkernfs.sh mountall.sh mountoverflowtmp udev module-init-tools
udev-mtab: udev mountall.sh mountoverflowtmp
portmap: networking ifupdown mountall.sh mountoverflowtmp
nfs-common: portmap hwclock.sh
mountnfs.sh: mountall.sh mountoverflowtmp networking ifupdown portmap nfs-common
mountnfs-bootclean.sh: mountall.sh mountoverflowtmp mountnfs.sh
kbd: mountall.sh mountoverflowtmp mountnfs.sh mountnfs-bootclean.sh
console-setup: mountall.sh mountoverflowtmp mountnfs.sh mountnfs-bootclean.sh kbd
lm-sensors: mountall.sh mountoverflowtmp mountnfs.sh mountnfs-bootclean.sh
bootmisc.sh: mountall.sh mountoverflowtmp mountnfs.sh mountnfs-bootclean.sh udev
stop-bootlogd-single: mountall.sh mountoverflowtmp udev keyboard-setup console-setup portmap networking ifupdown mountnfs.sh mountnfs-bootclean.sh hwclock.sh checkroot.sh ifupdown-clean urandom nfs-common mountkernfs.sh hostname.sh bootlogd mountdevsubfs.sh procps hwclockfirst.sh udev-mtab mtab.sh mountall-bootclean.sh checkfs.sh module-init-tools kbd lm-sensors bootmisc.sh
