#!/usr/bin/php5
<?php
include("config.php");
include("fonction.php");
set_time_limit(0);
//error_reporting(E_ALL);
error_reporting(E_ERROR | E_PARSE);
$xx=0;
do {
	$nbrEquip = NbrEquip();
	$frequ = (60/$nbrEquip);
	$equip = ReqSqlIpIdEqui();
	foreach( $equip as $equip ) 
	{
	status();
	$id = $equip['id'];
	$ip = $equip['ip'];
	$name = $equip['name'];
	$status = $equip['status'];
	DeletSqlMacPortEqui($id);
	if ($status==1)
	{
	$test_cisco = snmpget($ip, $comro, "1.3.6.1.2.1.1.1.0");

	if (preg_match("/cisco/i",$test_cisco))
{
	snmp_set_valueretrieval(SNMP_VALUE_PLAIN);//The return values will be the plain value without the SNMP type hint.
	$comro_vlan = snmpwalk($ip, $comro, "1.3.6.1.2.1.47.1.2.1.1.4");
	
	foreach($comro_vlan as $comro_vlan)
	{
	snmp_set_valueretrieval(SNMP_VALUE_LIBRARY);
	snmp_set_quick_print(1);
	$interface_mac = snmpwalk($ip, $comro_vlan, "1.3.6.1.2.1.17.4.3.1.1");
	snmp_set_quick_print(0);
	snmp_set_valueretrieval(SNMP_VALUE_PLAIN);
	$interface_port = snmpwalk($ip, $comro_vlan, "1.3.6.1.2.1.17.4.3.1.2");
	$i = 0;
	$interface_mac = str_replace('"','',$interface_mac);
	$interface_mac = str_replace(' ','',$interface_mac);

	foreach($interface_mac as $interface_mac)
	{
	$interface_index[$i] = snmpget($ip, $comro_vlan, "1.3.6.1.2.1.17.1.4.1.2.".$interface_port[$i]);//mappage du port avec l'index des interfaces
	
	if (!(ReqSqlInterco($id, $interface_index[$i])) && !empty($interface_index[$i]) && !empty($interface_mac))
	{
	InsertSqlMacPortEqui($id,$interface_index[$i],$interface_mac);
	if(VerifAbonnementMac($interface_mac))//test si un abonnement existe sur cette adresse mac
	{
	MailAbonnementMac($id,$interface_index[$i],$interface_mac);//envoie un mail s'il n'y a pas eu de mail d'envoyer depuis plus de deux jour pour cette adresse mac sur le port de ce switch
	}
	}
	$i ++;
	}
	}
}	else
{
	snmp_set_valueretrieval(SNMP_VALUE_LIBRARY);
	snmp_set_quick_print(1);
	$interface_mac = snmpwalk($ip, $comro, "1.3.6.1.2.1.17.4.3.1.1");
	snmp_set_quick_print(0);
	snmp_set_valueretrieval(SNMP_VALUE_PLAIN);
	$interface_port = snmpwalk($ip, $comro, "1.3.6.1.2.1.17.4.3.1.2");
	$i = 0;
	$interface_mac = str_replace('"','',$interface_mac);
	$interface_mac = str_replace(' ','',$interface_mac);
	
	foreach($interface_mac as $interface_mac)
	{
	$interface_index[$i] = snmpget($ip, $comro, "1.3.6.1.2.1.17.1.4.1.2.".$interface_port[$i]);//mappage du port avec l'index des interfaces

	if (!(ReqSqlInterco($id, $interface_index[$i])) && !empty($interface_index[$i]) && !empty($interface_mac))
	{
	InsertSqlMacPortEqui($id,$interface_index[$i],$interface_mac);

	if(VerifAbonnementMac($interface_mac))//test si un abonnement existe sur cette adresse mac
	{
	MailAbonnementMac($id,$interface_index[$i],$interface_mac);//envoie un mail s'il n'y a pas eu de mail d'envoyer depuis plus de deux jour pour cette adresse mac sur le port de ce switch
	}
	}
	$i ++;
	}
}
	WarningMac($id);
	sleep($frequ);
	}

	}


}while ($xx=1)

?>
<?php
//////////////////////////////////////////////////////////
function status() {
include("config.php");
try
{
	$pdo_options[PDO::ATTR_ERRMODE] = PDO::ERRMODE_EXCEPTION;
	$bdd = new PDO("mysql:host=$dbhost;dbname=$dbbase", $dbuser, $bdpass, $pdo_options);


	$req = $bdd->query('SELECT ip, id FROM equipements');

        while ($donnees = $req->fetch())
	{
	$id = $donnees['id'];
	$ip = $donnees['ip'];

	InsertStatusEquip($id, ping($donnees['ip']));

	}
	$req->closeCursor();

}
catch(Exception $e)
{
    die('Erreur : '.$e->getMessage());
}
}


//////////////////////////////////////////////////////////

function ping($host, $timeout = 2) {
                /* ICMP ping packet with a pre-calculated checksum */
                $package = "\x08\x00\x7d\x4b\x00\x00\x00\x00PingHost";
                $socket  = socket_create(AF_INET, SOCK_RAW, 1);
                socket_set_option($socket, SOL_SOCKET, SO_RCVTIMEO, array('sec' => $timeout, 'usec' => 0));
                socket_connect($socket, $host, null);
                socket_send($socket, $package, strLen($package), 0);
                if (socket_read($socket, 255))
                        $result = 1;
                else    $result = 0;
                socket_close($socket);
                return $result;
        }




//////////////////////////////////////////////////////////
function InsertStatusEquip($id, $status)
{

include("config.php");

try
{
	$pdo_options[PDO::ATTR_ERRMODE] = PDO::ERRMODE_EXCEPTION;
	$bdd = new PDO("mysql:host=$dbhost;dbname=$dbbase", $dbuser, $bdpass, $pdo_options);

	$req = $bdd->prepare('UPDATE equipements SET status = ? WHERE id = ?');
	$req->execute(array($status, $id));
	$req->closeCursor();


}
catch(Exception $e)

{
    die('Erreur : '.$e->getMessage());
}

}

//////////////////////////////////////////////////////////
function WarningMac($id) {
include("config.php");
try
{
	$pdo_options[PDO::ATTR_ERRMODE] = PDO::ERRMODE_EXCEPTION;
	$bdd = new PDO("mysql:host=$dbhost;dbname=$dbbase", $dbuser, $bdpass, $pdo_options);

	$req2 = $bdd->prepare('UPDATE equipements SET warningmac = 0 WHERE id = ?');
	$req2->execute(array($id));
	$req2->closeCursor();

	$req = $bdd->prepare('SELECT port, count(*) FROM macport WHERE idequip = ? GROUP BY port HAVING count(*) > 1 ');
	$req->execute(array($id));
        while ($donnees = $req->fetch())
	{
	if (isset($donnees['count(*)']))
	{
	$req2 = $bdd->prepare('UPDATE equipements SET warningmac = 1 WHERE id = ?');
	$req2->execute(array($id));
	$req2->closeCursor();
	}
	}
	$req->closeCursor();

}
catch(Exception $e)
{
    die('Erreur : '.$e->getMessage());
}
}
?>
