
SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données: `snmpnet`
--
-- CREATE DATABASE `snmpnet` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `snmpnet`;

-- --------------------------------------------------------

--
-- Structure de la table `abonnements`
--

CREATE TABLE IF NOT EXISTS `abonnements` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mac` varchar(12) NOT NULL,
  `email` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `abonnementseventlog`
--

CREATE TABLE IF NOT EXISTS `abonnementseventlog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idabonnement` int(11) NOT NULL,
  `idequipement` int(11) NOT NULL,
  `port` varchar(50) NOT NULL,
  `datetime` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `equipements`
--

CREATE TABLE IF NOT EXISTS `equipements` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(25) NOT NULL,
  `ip` varchar(15) NOT NULL,
  `model` varchar(35) NOT NULL,
  `status` binary(1) DEFAULT NULL,
  `warningmac` binary(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `interco`
--

CREATE TABLE IF NOT EXISTS `interco` (
  `idequipement` int(11) NOT NULL,
  `interface_des` varchar(35) NOT NULL,
  PRIMARY KEY (`idequipement`,`interface_des`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `macport`
--

CREATE TABLE IF NOT EXISTS `macport` (
  `idequip` int(11) NOT NULL,
  `port` varchar(50) NOT NULL,
  `mac` varchar(12) NOT NULL,
  PRIMARY KEY (`idequip`,`port`,`mac`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `macporthistory`
--

CREATE TABLE IF NOT EXISTS `macporthistory` (
  `idequip` int(11) NOT NULL,
  `port` varchar(50) NOT NULL,
  `mac` varchar(12) NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`idequip`,`port`,`mac`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
